package com.applayos.GroupLinkApplay;

import org.apache.cordova.CordovaPlugin;
import org.apache.cordova.CallbackContext;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;


import android.content.Context;
import android.app.Application;

import com.grouplinknetwork.GroupLink;

/**
 * This class echoes a string called from JavaScript.
 */
public class GroupLinkApplay extends CordovaPlugin {


    private static Context context = getContext();
    private static Application sApplication;

    @Override
    public boolean execute(String action, JSONArray args, CallbackContext callbackContext) throws JSONException {
        if (action.equals("echoTest")) {
            String mensagemAlerta = args.getString(0);
            this.echoMethod(mensagemAlerta, callbackContext);
            return true;
        }
        if (action.equals("start")) {
            String tokenTexto = args.getString(0);
            context = getContext();
            this.startMethod(context, tokenTexto, callbackContext);
            return true;
        }
        return false;
    }

    private static Application getApplication() {
        return sApplication;
    }

    private static Context getContext() {
        return getApplication().getApplicationContext();
    }

    private void echoMethod(String message, CallbackContext callbackContext) {
        if (message != null && message.length() > 0) {
            callbackContext.success(message);
        } else {
            callbackContext.error("Houve algum erro no texto");
        }
    }

    private void startMethod(Context contextApp, String token, CallbackContext callbackContext) {
        GroupLink.register(contextApp,token,false);
        callbackContext.success("mandou o registro, se funcionou só deus sabe");
    }

}
